com.creamtec.ajaxswing.core

## Class AjaxSwingPropertiesManager

- java.lang.Object
- - com.creamtec.ajaxswing.core.AjaxSwingPropertiesManager

-     public class AjaxSwingPropertiesManager
      extends java.lang.Object

  Loads and manages the configuration properties for all applications configured in AjaxSwing/conf directory.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AjaxSwingProperties` | `getAppProperties(java.lang.String appName)` Returns the properties for the given application name.
    `static AjaxSwingPropertiesManager` | `getInstance()` Returns the singlton instance of the property manager
    `java.util.HashMap` | `getPropertiesMap()` Returns a map of all loaded application configurations
    `static void` | `init(java.lang.String configDirectoryFileName)` Factory method used to create and initialize the property manager

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static AjaxSwingPropertiesManager getInstance()

      Returns the singlton instance of the property manager
      Returns:
        AjaxSwingPropertiesManager
      Throws:
        `java.lang.Exception`

    - #### init

          public static void init(java.lang.String configDirectoryFileName)

      Factory method used to create and initialize the property manager
      Parameters:
        `configDirectoryFileName` - configuration directory file name, from which to read all property files
      Throws:
        `java.lang.Exception`

    - #### getAppProperties

          public AjaxSwingProperties getAppProperties(java.lang.String appName)

      Returns the properties for the given application name. Case insensitive
      Parameters:
        `appName` - application name, for example "SwingSet"

    - #### getPropertiesMap

          public java.util.HashMap getPropertiesMap()

      Returns a map of all loaded application configurations
      Returns:
        HashMap

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.